## drawxtl 5.4+dfsg

=== source/DRAWxtl54/Makefile ===
#
# DRAWxtl V5.4 makefile using the Fast Light Tool Kit (FLTK).
#
# Copyright 2007 by Larry Finger, Martin Kroeker, and Brian Toby
#

OPTIM = error
TARGET = ../../exe/DRAWxtl54
PREINC = 
RESFILE =

# post processing command - overwritten for Mac
POSTLINK = touch

OS=$(shell uname)

# Cygwin produces a string of the form CYGWIN_dd-x.y where dd is NT 95 98 or ME and
#    x and y are the major and minor versions, respectively. The next 'if' will effectively
#    truncate that to CYGWIN, no matter which version of Windows is being used. Other OS's
#    will be unaffected.

ifneq (,$(findstring CYGWIN,$(OS)))
    OS=CYGWIN
endif

ifeq ($(OS),Linux)

# section to define the various symbols needed to build DRAWxtl for Linux systems

  prefix          = /usr/local
  includedir      = ${prefix}/include
  libdir          = /usr/lib/

  BUILD_CPU=$(shell uname -m)
  ifneq (,$(findstring 64,$(BUILD_CPU)))
      libdir	  = /usr/lib64/
  endif

# compiler name:
  CXX             = g++

# flags for C++ compiler:
  OPTIM           = -g -Wall -Wunused  -fno-exceptions
# work around a bug in freeglut 2.4 - comment this line if using a different GLut
  GLUT		  = -DFREEGLUT24
  CXXFLAGS        = $(OPTIM)  -I/usr/X11R6/include $(GLUT)

# libraries to link with:
  GLDLIBS  =  -L/usr/X11R6/lib  -lglut -lGLU -lGL -lXinerama -lXft -lpthread -lm  -lXext -lX11  -lXpm \

#       -lXi -lgdkglext-x11-1.0a  # Fedora Core 2 needs these libraries
  LINKFLTKGL  = $(libdir)libfltk.a $(libdir)libfltk_gl.a

# The extension to use for executables...
  EXEEXT          =

endif

ifeq ($(OS),CYGWIN)

# section to define the various symbols needed to build DRAWxtl for cygwin running on Windows

  prefix          = /usr/
  includedir      = 
  libdir          = /fltk/lib

# compiler name:
  CXX             = g++

# flags for C++ compiler:
  OPTIM           = -g -O2 -Wall -Wunused -pedantic -fno-exceptions -I /usr/i686-pc-cygwin/include/mingw
  CXXFLAGS        =  $(OPTIM) -I /fltk -I /FLU -mno-cygwin -mwindows -DWIN32
  PREINC 	  = -I/fltk -I/FLU

# libraries to link with:
  GLDLIBS  =  -mwindows -mno-cygwin -lglut32 -lglu32 -lopengl32 -lole32 -luuid -lcomctl32 -lwsock32 -lsupc++
  LINKFLTKGL  = -L/FLU/lib -lflu  -L/fltk/lib -lfltk_gl -lfltk

# The extension to use for executables...
  EXEEXT          = ".EXE"

  # Resource file (the icon)
  RESFILE	  = Drawv54.rc

endif

ifeq ($(OS),IRIX64)               # use GNU g++ compiler on SGI

# this uses the GNU g++ compiler
# libglut was loaded from the SGI freeware site: freeware.sgi.com
# but FLTK was built from source, since g++ and CC (MIPS c++) may be incompatible
# source patch needed to FLTK: change fltk-1.1.5/FL/Fl_Double_Window.H
# string  type(FL_DOUBLE_WINDOW) to type(0xF1) (two places & no, I don't understand)

  prefix          = /usr/user2/toby/fltk-1.1.5
  includedir      = ${prefix}/
  libdir          = ${prefix}/lib

  # compiler name:
  CXX             = g++

  # flags for C++ compiler:
  OPTIM           = -g -O2 -Wall -Wunused  -fno-exceptions
  CXXFLAGS        = $(OPTIM) 

  # libraries to link with:
  GLDLIBS  =  -L/usr/freeware/lib32 -lglut -L/usr/lib32/ -lGL -lGLU -lm -lXpm -lX11 
  LINKFLTKGL  = -L$(libdir) -lfltk_gl -lfltk

  # The extension to use for executables...
  EXEEXT          =

endif

ifeq ($(OS),Darwin)

# Mac stuff goes here
  #prefix          = /usr/local
  includedir      = ../../../fltk
  libdir          = ../../../fltk/lib

# compiler name:
  CXX             = g++

# flags for C++ compiler:
  OPTIM           = -g -O2 -Wall -Wunused  -fno-exceptions
  CXXFLAGS        = $(OPTIM)  
# in 10.2 I think I needed to add this to the above: 
# -framework AGL -framework GLUT -framework OpenGL -framework Carbon -framework ApplicationServices

# libraries to link with:
#  GLDLIBS  =  -framework AGL -framework GLUT -framework OpenGL  -framework Carbon -framework ApplicationServices -lsupc++ -lobjc
# libsupc++ not used with gcc v4.0
  GLDLIBS  =  -framework AGL -framework GLUT -framework OpenGL  -framework Carbon -framework ApplicationServices -lobjc
  LINKFLTKGL  = -L$(libdir) -static -lfltk_gl -lfltk
  PREINC 	  = -I$(includedir)
# The extension to use for executables...
  EXEEXT          =

# post processing command
  POSTLINK = /Developer/Tools/Rez -t APPL $(includedir)/FL/mac.r -o

endif

##################################################################################
#
# ALL Operating Specific material MUST be specified before this point
#
##################################################################################

ifeq ($(OPTIM),error)
  OPTIM=-O
  CXX=cc
  CXXFLAGS=$(OPTIM)
  GLDLIBS=-lfltk_gl -lfltk -lglut -lGLU -lGL
endif

# Be quiet when building...
.SILENT:

# Build commands and filename extensions...
.SUFFIXES:	.rc .cxx .h .o $(EXEEXT)

.rc.o:
	echo Building resource $< ...
	windres Drawv54.rc Drawv54.o

.cxx.o:
	echo Compiling $< ...
	$(CXX) -I$(includedir) $(CXXFLAGS) -c $<

CPPFILES =\
	CrystalView.cxx \
	cursor.cxx \
	drawmap.cxx \
	DRAWxtl1.cxx \
	DRAWxtl2.cxx \
	DRAWxtl3.cxx \
	DRAWxtlViewUI.cxx \
	EditView.cxx \
	Edit1.cxx \
	Edit2.cxx \
	Ellipsoids.cxx \
	Flu_Combo_Box.cxx \
	Flu_Combo_List.cxx \
	Flu_Spinner.cxx \
	Fourier.cxx \
	Generate_Drawing.cxx \
	gl2ps.cxx \
	Help.cxx \
	Import.cxx \
	MC.cxx \
	mpVector.cxx \
	Read_Input.cxx \
	symmtry.cxx \
	Tb_Window.cxx

OBJFILES = $(CPPFILES:.cxx=.o) $(RESFILE:.rc=.o)

all:	$(TARGET) 

clean:
	-@ rm -f $(TARGET) *.o core *~ .deps ../../examples/*.{out,cns,pov,wrl,tmp,tga,lst,fl,bmp} \
		*.orig *.rej

# Define the dependencies of the object files on the header files

.deps:  $(CPPFILES)
	echo "Building dependencies..."
	echo >.deps
	for i in $(CPPFILES); do gcc -MM $(PREINC) $$i >>.deps; done

-include .deps

# DRAWxtl 

$(TARGET) : .deps $(OBJFILES) 
	echo Linking $@...
	mkdir -p ../../exe
	$(CXX) $(CXXFLAGS) -o $@ $(OBJFILES) \
		$(LINKFLTKGL) $(GLDLIBS) 
	$(POSTLINK) $@

static: .deps $(OBJFILES) 
	echo Linking $@...
	mkdir -p ../../exe
	$(CXX) $(CXXFLAGS) -static -o DRAWxtl.$@ $(OBJFILES) \
		$(LINKFLTKGL) $(GLDLIBS) -lXxf86vm -ldl
	strip $@

## drawxtl 5.5

=== source/DRAWxtl55/Makefile ===
#
# DRAWxtl V5.5 makefile using the Fast Light Tool Kit (FLTK).
#
# Copyright 2007-2011 by Larry Finger, Martin Kroeker, and Brian Toby
#

OPTIM = error
TARGET = ../../exe/DRAWxtl55
PREINC = 
RESFILE =

# post processing command - overwritten for Mac
POSTLINK = touch

OS=$(shell uname)

# Cygwin produces a string of the form CYGWIN_dd-x.y where dd is NT 95 98 or ME and
#    x and y are the major and minor versions, respectively. The next 'if' will effectively
#    truncate that to CYGWIN, no matter which version of Windows is being used. Other OS's
#    will be unaffected.

ifneq (,$(findstring CYGWIN,$(OS)))
    OS=CYGWIN
endif

# Map all BSD variants to Linux for now (seems to work for the Debian folks at least)
ifneq (,$(findstring BSD,$(OS)))
    OS=Linux
endif

ifeq ($(OS),Linux)

# section to define the various symbols needed to build DRAWxtl for Linux systems

  prefix          = /usr/local
  includedir      = ${prefix}/include
  libdir          = /usr/lib/

  BUILD_CPU=$(shell uname -m)
  ifneq (,$(findstring 64,$(BUILD_CPU)))
      libdir	  = /usr/lib64/
  endif

# compiler name:
  CXX             = g++

# flags for C++ compiler:
  OPTIM           = -g -Wall -Wunused  -fno-exceptions
# work around a bug in freeglut 2.4 - only enable this if you have to use a version 
# of fltk before 1.1.8 AND exactly version 2.4 of freeglut
#  GLUT		  = -DFREEGLUT24
  CXXFLAGS        = $(OPTIM)  -I/usr/X11R6/include $(GLUT)

# libraries to link with:
  GLDLIBS  =  -L/usr/X11R6/lib  -lGLU -lGL -lXinerama -lXft -lpthread -lm  -lXext -lX11  -lXpm \
		-lfltk \
# -lglut # only needed with old versions of fltk before 1.1.8
#       -lXi -lgdkglext-x11-1.0a  # Fedora Core 2 needs these libraries
  LINKFLTKGL  = $(libdir)libfltk.a $(libdir)libfltk_gl.a

# The extension to use for executables...
  EXEEXT          =

endif

ifeq ($(OS),CYGWIN)

# section to define the various symbols needed to build DRAWxtl for cygwin running on Windows

  prefix          = /usr/
  includedir      = 
  libdir          = /fltk/lib

# compiler name:
  CXX             = g++

# flags for C++ compiler:
  OPTIM           = -g -O2 -Wall -Wunused -pedantic -fno-exceptions -I /usr/i686-pc-cygwin/include/mingw
  CXXFLAGS        =  $(OPTIM) -I /fltk -I /FLU -mno-cygwin -mwindows -DWIN32
  PREINC 	  = -I/fltk -I/FLU

# libraries to link with:
  GLDLIBS  =  -mwindows -mno-cygwin -lglut32 -lglu32 -lopengl32 -lole32 -luuid -lcomctl32 -lwsock32 -lsupc++
  LINKFLTKGL  = -L/FLU/lib -lflu  -L/fltk/lib -lfltk_gl -lfltk

# The extension to use for executables...
  EXEEXT          = ".EXE"

  # Resource file (the icon)
  RESFILE	  = Drawv54.rc

endif

ifeq ($(OS),IRIX64)               # use GNU g++ compiler on SGI

# this uses the GNU g++ compiler
# libglut was loaded from the SGI freeware site: freeware.sgi.com
# but FLTK was built from source, since g++ and CC (MIPS c++) may be incompatible
# source patch needed to FLTK: change fltk-1.1.5/FL/Fl_Double_Window.H
# string  type(FL_DOUBLE_WINDOW) to type(0xF1) (two places & no, I don't understand)

  prefix          = /usr/user2/toby/fltk-1.1.5
  includedir      = ${prefix}/
  libdir          = ${prefix}/lib

  # compiler name:
  CXX             = g++

  # flags for C++ compiler:
  OPTIM           = -g -O2 -Wall -Wunused  -fno-exceptions
  CXXFLAGS        = $(OPTIM) 

  # libraries to link with:
  GLDLIBS  =  -L/usr/freeware/lib32 -lglut -L/usr/lib32/ -lGL -lGLU -lm -lXpm -lX11 
  LINKFLTKGL  = -L$(libdir) -lfltk_gl -lfltk

  # The extension to use for executables...
  EXEEXT          =

endif

ifeq ($(OS),Darwin)

# Mac stuff goes here
  #prefix          = /usr/local
  includedir      = ../../../fltk
  libdir          = ../../../fltk/lib

# compiler name:
  CXX             = g++

# flags for C++ compiler:
  OPTIM           = -g -O2 -Wall -Wunused  -fno-exceptions
  CXXFLAGS        = $(OPTIM)  
# in 10.2 I think I needed to add this to the above: 
# -framework AGL -framework GLUT -framework OpenGL -framework Carbon -framework ApplicationServices

# libraries to link with:
#  GLDLIBS  =  -framework AGL -framework GLUT -framework OpenGL  -framework Carbon -framework ApplicationServices -lsupc++ -lobjc
# libsupc++ not used with gcc v4.0
  GLDLIBS  =  -framework AGL -framework GLUT -framework OpenGL  -framework Carbon -framework ApplicationServices -lobjc
  LINKFLTKGL  = -L$(libdir) -static -lfltk_gl -lfltk
  PREINC 	  = -I$(includedir)
# The extension to use for executables...
  EXEEXT          =

# post processing command
  POSTLINK = /Developer/Tools/Rez -t APPL $(includedir)/FL/mac.r -o

endif

##################################################################################
#
# ALL Operating Specific material MUST be specified before this point
#
##################################################################################

ifeq ($(OPTIM),error)
  OPTIM=-O
  CXX=cc
  CXXFLAGS=$(OPTIM)
  GLDLIBS=-lfltk_gl -lfltk -lglut -lGLU -lGL
endif

# Be quiet when building...
.SILENT:

# Build commands and filename extensions...
.SUFFIXES:	.rc .cxx .h .o $(EXEEXT)

.rc.o:
	echo Building resource $< ...
	windres Drawv54.rc Drawv54.o

.cxx.o:
	echo Compiling $< ...
	$(CXX) -I$(includedir) $(CXXFLAGS) -c $<

CPPFILES =\
	CrystalView.cxx \
	cursor.cxx \
	drawmap.cxx \
	DRAWxtl1.cxx \
	DRAWxtl2.cxx \
	DRAWxtl3.cxx \
	DRAWxtlViewUI.cxx \
	EditView.cxx \
	Edit1.cxx \
	Edit2.cxx \
	Ellipsoids.cxx \
	Flu_Combo_Box.cxx \
	Flu_Combo_List.cxx \
	Flu_Spinner.cxx \
	Fourier.cxx \
	Generate_Drawing.cxx \
	gl2ps.cxx \
	gl2gif.cxx \
	Help.cxx \
	Import.cxx \
	MC.cxx \
	mpVector.cxx \
	Read_Input.cxx \
	symmtry.cxx \
	Tb_Window.cxx

OBJFILES = $(CPPFILES:.cxx=.o) $(RESFILE:.rc=.o)

all:	$(TARGET) 

clean:
	-@ rm -f $(TARGET) *.o core *~ .deps ../../examples/*.{out,cns,pov,wrl,tmp,tga,lst,fl,bmp} \
		*.orig *.rej

# Define the dependencies of the object files on the header files

.deps:  $(CPPFILES)
	echo "Building dependencies..."
	echo >.deps
	for i in $(CPPFILES); do gcc -MM $(PREINC) $$i >>.deps; done

-include .deps

# DRAWxtl 

$(TARGET) : .deps $(OBJFILES) 
	echo Linking $@...
	mkdir -p ../../exe
	$(CXX) $(CXXFLAGS) -o $@ $(OBJFILES) \
		$(LINKFLTKGL) $(GLDLIBS) 
	$(POSTLINK) $@

static: .deps $(OBJFILES) 
	echo Linking $@...
	mkdir -p ../../exe
	$(CXX) $(CXXFLAGS) -static -o DRAWxtl.$@ $(OBJFILES) \
		$(LINKFLTKGL) $(GLDLIBS) -lXxf86vm -ldl
	strip $@

=== debian/changelog ===
drawxtl (5.5-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Migrate to FLTK 1.3 (closes: #974622).

 -- Bastian Germann <bage@debian.org>  Fri, 20 Oct 2023 20:57:06 +0200

drawxtl (5.5-6) unstable; urgency=medium

  * Team upload.
  * d/p/fix_gcc-11_build_failures.patch: Add patch.
    - Fix build failfure with gcc-11 (closes: #984039).

 -- Michael Banck <mbanck@debian.org>  Fri, 02 Dec 2022 17:43:57 +0100

drawxtl (5.5-5) unstable; urgency=medium

  * d/p/fix_segfault.patch: Add patch.
    - Fix segmentation fault on exit (closes: #853829).
  * d/p/series: Adjust accordingly.

 -- Daniel Leidert <dleidert@debian.org>  Thu, 26 Dec 2019 01:30:58 +0100

drawxtl (5.5-4) unstable; urgency=low

  * d/compat: Raise to dh level 12.
  * d/control: Add Rules-Requires-Root: no.
    (Build-Depends): Raise debhelper version to 12 and depend on
    debhelper-compat. Add dpkg-dev.
    (Uploaders): Update my information.
    (Standards-Version): Bump to 4.4.1.
    (DM-Upload-Allowed): Remove obsolete field.
  * d/copyright: Rewrite for DEP-5 compatibility.
  * d/drawxtl.examples: Install examples.
  * d/drawxtl.menu: Remove file to fix command-in-menu-file-and-desktop-file.
  * d/rules: Add hardening. Remove --parallel switch. Use dpkg templates.
    (override_dh_installexamples): Remove target.
  * d/upstream. Rename to d/upstream/metadata.
  * d/p/hardening.patch: Add patch.
    - Fix format error: format not a string literal and no format arguments.
  * d/p/povray_default_location.patch: Update.
    - Fix povray-related file locations (closes: #853837).
  * d/p/series: Adjust.
  * d/s/lintian-overrides: Add lintian overrides.

 -- Daniel Leidert <dleidert@debian.org>  Sun, 22 Dec 2019 23:55:21 +0100

drawxtl (5.5-3) unstable; urgency=low

  * debian/control (Suggests): Fixed architectures.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Wed, 06 Jun 2012 22:58:17 +0200

drawxtl (5.5-2) unstable; urgency=low

  * debian/compat: Bumped dh compatibility level to 7.
  * debian/control: (Vcs-Browser): Fixed.
    (Standards-Version): Bumped to 3.9.3.
    (Build-Depends): Removed dpatch. Added libgl2ps-dev. Bumped dh version.
    (Suggests): Removed povray related packages. They have been removed from
    Debian. Limit suggestion on openvrml-lookat to non-kfreebsd architectures.
  * debian/rules: Rewritten for dh 7.
  * debian/upstream: Added.
  * debian/README.Debian: Minor update.
  * debian/README.source: Removed obsolete file.
  * debian/patches/link_lib2glps.patch: Added.
    - source/DRAWxtl55/Makefile: Remove gl2ps.cxx from sources.
  * debian/patches/povray_default_location.dpatch: Renamed to
    debian/patches/povray_default_location.patch.
  * debian/patches/00list: Renamed to debian/patches/series and adjusted.
  * debian/source/format: Added for quilt-based format 3.0.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Mon, 04 Jun 2012 23:28:49 +0200

drawxtl (5.5-1) unstable; urgency=low

  * New upstream release.
  * debian/control (Standards-Version): Bumped to 3.9.1.
    (Suggests): Removed virtual package vrml-browser, which is not provided
    anymore aby any package.
  * debian/rules: Removed obsolete get-orig-source target.
    (STRIPPED_UVERSION): Improved calculation.
  * debian/watch: Remobed obsolete comments.
  * debian/patches/559897_fix_error_in_pdf.dpatch,
    debian/patches/DRAWxtl54.pdf.uue: Dropped, fixed upstream.
  * debian/patches/560461_fix_ftbfs_gcc44.dpatch: Ditto.
  * debian/patches/arch_with_unsigned_char_fix.dpatch: Ditto.
  * debian/patches/povray_default_location.dpatch: Adjusted.
  * debian/patches/00list: Ditto.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Thu, 21 Apr 2011 23:53:21 +0200

drawxtl (5.4+dfsg-5) unstable; urgency=low

  * debian/control (Build-Depends): Added sharutils for uudecode.
    (Depends): Fixed debhelper-but-no-misc-depends.
  * debian/patches/DRAWxtl54.pdf.uue: Added fixed PDF by Martin Kroeker.
  * debian/patches/559897_fix_error_in_pdf.dpatch: Added.
    - Replace broken PDF with fixed version by Martin (closes: #559897).
  * debian/patches/00list: Adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Fri, 22 Jan 2010 04:06:23 +0100

drawxtl (5.4+dfsg-4) unstable; urgency=low

  * debian/patches/560461_fix_ftbfs_gcc44.dpatch: Added.
    - CrystalView.cxx: Fix FTBFS with GCC 4.4 (closes: #560461).
  * debian/patches/00list: Adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Fri, 11 Dec 2009 15:13:04 +0100

drawxtl (5.4+dfsg-3) unstable; urgency=low

  * debian/control (Suggests): Dropped vrweb (removed from Debian).
  * debian/patches/arch_with_unsigned_char_fix.dpatch: Added.
    - Fix by Martin Kroeker to run DRAWxtl on treating char as unsigned by
      default.
  * debian/patches/00list: Adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Wed, 18 Nov 2009 23:06:56 +0100

drawxtl (5.4+dfsg-2) unstable; urgency=low

  * debian/rules (build-stamp): Set OS to Linux to fix FTBFS on kfreebsd*.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Tue, 29 Sep 2009 16:59:09 +0200

drawxtl (5.4+dfsg-1) unstable; urgency=low

  * Initial release (closes: #428750).

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 27 Sep 2009 01:47:51 +0200

=== debian/control ===
Source: drawxtl
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Daniel Leidert <dleidert@debian.org>
Build-Depends: debhelper-compat (= 12),
               dpkg-dev (>= 1.16.1),
               freeglut3-dev,
               libfltk1.3-dev | libfltk-dev,
               libgl1-mesa-dev,
               libgl2ps-dev,
               libglu1-mesa-dev,
               libx11-dev,
               libxext-dev,
               libxft-dev,
               libxinerama-dev,
               libxpm-dev,
               sharutils
Standards-Version: 4.4.1
Homepage: http://www.lwfinger.com/drawxtl/index.html
Vcs-Browser: https://salsa.debian.org/debichem-team/drawxtl
Vcs-Git: https://salsa.debian.org/debichem-team/drawxtl.git
Rules-Requires-Root: no

Package: drawxtl
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: openvrml-lookat [!kfreebsd-any !hurd-any]
Description: crystal structure viewer
 DRAWxtl reads a basic description of the crystal structure, which includes
 unit-cell parameters, space group, atomic coordinates, thermal parameters or
 a Fourier map, and outputs a geometry object that contains polyhedra, planes,
 lone-pair cones, spheres or ellipsoids, bonds, iso-surface Fourier contours
 and the unit-cell boundary.
 .
 Four forms of graphics are produced:
 .
  * an OpenGL window for immediate viewing
  * the Persistence of Vision Ray Tracer (POV-RAY) scene language for
    publication-quality drawings
  * the Virtual Reality Modeling Language (VRML) for dissemination
    across the Internet
  * a Postscript rendering of the OpenGL window for those who want
    high-quality output but do not have POV-RAY installed.
 .
 File formats DRAWxtl can read include CIF, FDAT, FullProf (pcr), GSAS, SCHAKAL,
 SHELX, DISCUS and WIEN2k.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

CFLAGS  += -Wextra
LDFLAGS += -Wl,-z,defs -Wl,--as-needed

STRIPPED_UVERSION := $(shell echo $(DEB_VERSION_UPSTREAM) | sed 's/\.//g')

%:
	dh $@ --buildsystem=makefile

override_dh_auto_build:
	dh_auto_build -- -C source/DRAWxtl$(STRIPPED_UVERSION)/ \
	                 OS=Linux \
	                 prefix=/usr \
	                 includedir=/usr/include \
	                 libdir=/usr/lib/ \
	                 LINKFLTKGL="-lfltk_gl -lfltk -lgl2ps $(LDFLAGS)" \
	                 OPTIM="$(CPPFLAGS) $(CXXFLAGS) -Wunused -fno-exceptions"

override_dh_auto_clean:
	dh_auto_clean -- -C source/DRAWxtl$(STRIPPED_UVERSION)/

override_dh_auto_install:

override_dh_install:
	dh_install exe/DRAWxtl$(STRIPPED_UVERSION) usr/bin/

override_dh_installchangelogs:
	dh_installchangelogs docs/readme.txt

override_dh_installdocs:
	dh_installdocs docs/DRAWxtl$(STRIPPED_UVERSION).pdf

override_dh_link:
	dh_link usr/bin/DRAWxtl$(STRIPPED_UVERSION) usr/bin/drawxtl \
		usr/share/doc/drawxtl/DRAWxtl$(STRIPPED_UVERSION).pdf usr/share/doc/drawxtl/DRAWxtl.pdf \
	        usr/share/man/man1/drawxtl.1.gz usr/share/man/man1/DRAWxtl$(STRIPPED_UVERSION).1.gz

override_dh_compress:
	dh_compress -X*.gz -Ausr/share/doc/$(DEB_SOURCE)/examples/*.*

=== debian/watch ===
# See uscan(1) for format

version=3
opts=dversionmangle=s/[+.]dfsg$//,uversionmangle=s/(\d)(\d)/$1.$2/g \
 http://www.lwfinger.com/drawxtl/download.html DRAWxtl([\d]+)\.tar\.gz
